#### D.14.6.3 PH_ais

Procedure from library `phindex.lib` (see phindex_lib).

Usage:
  PH_ais(I); I ideal of coordinates of the vector field.

Return:
  the Poincare-Hopf index of type int.

Note:
  the isolated singularity must be algebraically isolated.

Theory:
  The Poincare-Hopf index of a real vector field X at the isolated singularity 0 is the degree of the map (X/|X|) : S_epsilon ---> S, where S is the unit sphere, and the spheres are oriented as (n-1)-spheres in R^n. The degree depends only on the germ, X, of X at 0. If the vector field X is real analytic, then an invariant of the germ is its local ring
  Qx=R[[x1..xn]]/Ix
  where R[[x1,..,xn]] is the ring of germs at 0 of real-valued analytic functions on R^n, and Ix is the ideal generated by the components of X. The isolated singularity of X is algebraically isolated if the algebra Qx is finite dimensional as real vector space, geometrically this mean that 0 is also an isolated singularity for the complexified vector field. In this case the Poincare-Hopf index is the signature of the non degenerate bilinear form <,> obtained by composition of the product in the algebra Qx with a linear functional map
  <,> : (Qx)x(Qx) ---(.)--> Qx ---(L)--> R
  with L(Jo)>0, where Jo is the residue class of the Jacobian determinant in Qx. Here, we use a natural linear functional defined as follows. Suppose that E={E_1,..E_r} is a basis of Qx, then Jo can be written as
  Jo=a_1E_{j1}+...+a_kE_{jk}, js\in {1...r}, s=1..k, k<=r, where a_s are constant. The linear functional L:Qx--->R is defined as L(E_{j1})=(a_1)/|a_1|=sign of a_1,
  the other elements of the base are sent to 0.
  Refs. -Eisenbud & Levine, An algebraic formula for the degree of a C^\infty map germ, Ann. Math., 106, (1977), 19-38.
  -Khimshiashvili, On a local degree of a smooth map, trudi Tbilisi Math. Inst., (1980), 105-124.

Example:

    LIB "phindex.lib";
    ring r=0,(x,y,z),ds;
    ideal I=x3-3xy2,-y3+3yx2,z3;
    PH_ais(I);
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.